hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-13050) Upgrade to AWS SDK 10.10+ for Java 8u60+
Date Thu, 19 May 2016 15:21:13 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-13050?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Steve Loughran updated HADOOP-13050:
------------------------------------
    Hadoop Flags: Incompatible change
          Status: Patch Available  (was: Open)

This patch increments the AWS library version, and explicitly manages the jackson.databind
dependency, which forces us to increment the entire jackson dependency to 2.3.3 or later.
I've gone with a late 2.5.x as they're in use elsewhere.

Tagging as incompatible, as we may warn people that all JAR updates are trouble

> Upgrade to AWS SDK 10.10+ for Java 8u60+
> ----------------------------------------
>
>                 Key: HADOOP-13050
>                 URL: https://issues.apache.org/jira/browse/HADOOP-13050
>             Project: Hadoop Common
>          Issue Type: Sub-task
>          Components: build, fs/s3
>    Affects Versions: 2.7.2
>            Reporter: Steve Loughran
>         Attachments: HADOOP-13050-001.patch
>
>
> HADOOP-13044 highlights that AWS SDK 10.6 —shipping in Hadoop 2.7+, doesn't work on
open jdk >= 8u60, because a change in the JDK broke the version of Joda time that AWS uses.
> Fix, update the JDK. Though, that implies updating http components: HADOOP-12767.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message